CVE-2004-0291
CVSS5.0
发布时间 :2004-11-23 00:00:00
修订时间 :2016-10-17 22:43:17
NMCOES    

[原文]SQL injection vulnerability in post.php for YaBB SE 1.5.4 and 1.5.5 allows remote attackers to obtain hashed passwords via the quote parameter.


[CNNVD]YABB SE Quote参数SQL注入漏洞(CNNVD-200411-131)

        
        Yabb Se是一款基于PHP/MySQL的论坛程序。
        Yabb Se包含的Post.php脚本对外部输入缺少充分过滤,远程攻击者可以利用这个漏洞进行SQL注入攻击,可修改数据信息等。
        由于post.php脚本对quote参数的数据缺少充分检查,因此提交包含恶意SQL命令的参数,可更改原有SQL逻辑,获得数据库敏感信息或修改数据库。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:yabb:yabb:1.5.4::second_edition
cpe:/a:yabb:yabb:1.5.5::second_edition

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0291
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0291
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200411-131
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107696318522985&w=2
(UNKNOWN)  BUGTRAQ  20040216 Another YabbSE SQL Injection
http://www.securityfocus.com/bid/9674
(VENDOR_ADVISORY)  BID  9674
http://xforce.iss.net/xforce/xfdb/15224
(VENDOR_ADVISORY)  XF  yabb-post-sql-injection(15224)

- 漏洞信息

YABB SE Quote参数SQL注入漏洞
中危 输入验证
2004-11-23 00:00:00 2005-10-20 00:00:00
远程  
        
        Yabb Se是一款基于PHP/MySQL的论坛程序。
        Yabb Se包含的Post.php脚本对外部输入缺少充分过滤,远程攻击者可以利用这个漏洞进行SQL注入攻击,可修改数据信息等。
        由于post.php脚本对quote参数的数据缺少充分检查,因此提交包含恶意SQL命令的参数,可更改原有SQL逻辑,获得数据库敏感信息或修改数据库。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在post.php脚本49行,修改:
        $quotemsg = $quote;
        为:
        if ( $quote && !is_numeric($quote) )
        {
        die('Go out C==|=======>');
        }
        厂商补丁:
        YaBB
        ----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.yabbforum.com/

- 漏洞信息 (23710)

YABB SE 1.5 Quote Parameter SQL Injection Vulnerability (EDBID:23710)
php webapps
2004-02-16 Verified
0 BaCkSpAcE
N/A [点击下载]
source: http://www.securityfocus.com/bid/9674/info

It has been reported that YaBB SE may be prone to a SQL injection vulnerability that may allow a remote user to inject arbitrary SQL queries into the database used by the software. 

YaBB SE versions 1.5.4 and 1.5.5 have been reported to be affected by this issue, however, other versions could be affected as well.

http://www.example.com/yabbse//index.php?board=1;sesc=13a478d8aa161c2231e6d3b36b6d19f2;action=post;threadid=1;title=Post+reply;quote=-12)+UNION+SELECT+passwd,null,null,nul
l,null,null,null,null,null+FROM+yabbse_members+where+ID_MEMBER=1/*		

- 漏洞信息

3971
YaBB SE index.php quote Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

YaBB SE contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'index.php' script not properly sanitizing user-supplied input to the 'quote' parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2004-02-16 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.5.5c or higher, as it has been reported to fix this vulnerability. In addition, the vendor has released a patch for some older versions.

- 相关参考

- 漏洞作者

- 漏洞信息

YABB SE Quote Parameter SQL Injection Vulnerability
Input Validation Error 9674
Yes No
2004-02-16 12:00:00 2009-07-12 03:06:00
The disclosure of this issue has been credited to BackSpace <backspace_2k@terra.es>.

- 受影响的程序版本

YaBB SE YaBB SE 1.5.5
YaBB SE YaBB SE 1.5.4

- 漏洞讨论

It has been reported that YaBB SE may be prone to a SQL injection vulnerability that may allow a remote user to inject arbitrary SQL queries into the database used by the software.

YaBB SE versions 1.5.4 and 1.5.5 have been reported to be affected by this issue, however, other versions could be affected as well.

- 漏洞利用

No exploit is required.

The following proof of concept has been supplied:
http://www.example.com/yabbse//index.php?board=1;sesc=13a478d8aa161c2231e6d3b36b6d19f2;action=post;threadid=1;title=Post+reply;quote=-12)+UNION+SELECT+passwd,null,null,nul
l,null,null,null,null,null+FROM+yabbse_members+where+ID_MEMBER=1/*

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站